{
  "id": "4ca81e42-26b0-46f5-988e-957360067861",
  "prevId": "00000000-0000-0000-0000-000000000000",
  "version": "7",
  "dialect": "postgresql",
  "tables": {
    "public.feedback": {
      "name": "feedback",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "tv_show_name": {
          "name": "tv_show_name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "stars": {
          "name": "stars",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "feedback": {
          "name": "feedback",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "''"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        }
      },
      "indexes": {
        "feedback_tv_show_name_idx": {
          "name": "feedback_tv_show_name_idx",
          "columns": [
            {
              "expression": "tv_show_name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.recommendations": {
      "name": "recommendations",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "title": {
          "name": "title",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "main_prompt": {
          "name": "main_prompt",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "liked_shows": {
          "name": "liked_shows",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "''"
        },
        "disliked_shows": {
          "name": "disliked_shows",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "''"
        },
        "themes": {
          "name": "themes",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "''"
        },
        "brainstorm_count": {
          "name": "brainstorm_count",
          "type": "integer",
          "primaryKey": false,
          "notNull": true,
          "default": 100
        },
        "recommendations": {
          "name": "recommendations",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": false
        },
        "status": {
          "name": "status",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'pending'"
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    }
  },
  "enums": {},
  "schemas": {},
  "sequences": {},
  "roles": {},
  "policies": {},
  "views": {},
  "_meta": {
    "columns": {},
    "schemas": {},
    "tables": {}
  }
}